Delete a terminal application beta
Delete a specific terminal application.
To access this endpoint using an access token
you'll need to specify the /terminal-applications.write scope.
DELETE
/terminal-applications/{terminalApplicationID}
curl -X DELETE "https://api.moov.io/terminal-applications/{terminalApplicationID}" \
-H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()
var terminalApplicationID string
mc.DeleteTerminalApplication(ctx, terminalApplicationID)
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.terminalApplications.delete({
terminalApplicationID: "12345678-1234-1234-1234-123456789012",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->terminalApplications->delete(
terminalApplicationID: '12345678-1234-1234-1234-123456789012'
);
if ($response->statusCode === 200) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.terminal_applications.delete(terminal_application_id="12345678-1234-1234-1234-123456789012")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.errors.GenericError;
import org.openapis.openapi.models.operations.DeleteTerminalApplicationResponse;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
DeleteTerminalApplicationResponse res = sdk.terminalApplications().delete()
.terminalApplicationID("12345678-1234-1234-1234-123456789012")
.call();
// handle response
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.terminal_applications.delete(terminal_application_id: '12345678-1234-1234-1234-123456789012')
if res.status_code == 200
# handle response
endThe request completed successfully, but there is no content to return.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
terminalApplicationID
string
required